import { Subscribable } from 'rxjs';
import { IGeneratedSettings as ISettings, ISettingsEdit } from '@workbench-stack/core';
import { SettingsCascadeOrError } from '../settings';
/**
 * The configuration service manages the settings cascade for the viewer.
 *
 * @template S The settings type.
 */
export interface ISettingsService<S extends ISettings = ISettings> {
    /**
     * The configuration data
     */
    data: Subscribable<SettingsCascadeOrError<S>>;
    /**
     * Update the configuration with highest precedence.
     */
    update(edit: ISettingsEdit): Promise<void>;
}
